Subject: Re: [ANNOUNCE] GIT 1.6.4.rc1

From: Jeff Garzik <[email-masked]>
Date: Thu, 16 Jul 2009 02:45:39 -0400

Jeff Garzik wrote:
> I want to publish this tree to the world via a *.kernel.org-like system, 
> so my task is to
> 
>     scp -r /spare/repo/cld/.git remote.example.com:/pub/scm/cld.git
> 
> but if I do this with scp, then future pushes to 
> remote.example.com:/pub/scm/cld.git emit the warning about updating the 
> currently checked-out branch -- even though there are no checked-out 
> files.  The checked-out files were not copied in the scp.

IOW -- do I just edit the config for this case too, or is there some 
'git clone --bare' magic that can work across ssh, as shown above?

It is easy to clone -from- a remote, but not so easy to clone -to- a 
new, bare remote.

	Jeff